Package org.apache.avro

# Class SchemaBuilderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.avro.AvroRuntimeException
org.apache.avro.SchemaBuilderException

All Implemented Interfaces:
  `Serializable`

public class SchemaBuilderException extends AvroRuntimeException
Thrown for errors building schemas.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SchemaBuilderException(String message)`
`SchemaBuilderException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SchemaBuilderException

public SchemaBuilderException(Throwable cause)

### SchemaBuilderException

public SchemaBuilderException(String message)